document.addEventListener("DOMContentLoaded", function () {


  function updateHeaderHeight() {
    const header = document.querySelector(".noahs-theme--header");
    const headerEmpty = document.querySelector(".noahs-header-empty");
    const toolbar = document.querySelector("#toolbar-administration");

    if (header) {
      // Ajustar el top del header si existe el toolbar de administración
      if (toolbar) {
        let toolbarHeight = 79;
        header.style.top = `${toolbarHeight}px`;
      }


      if (headerEmpty) {
        headerEmpty.style.height = `${header.offsetHeight}px`;
      }
    }
  }

  // Esperar hasta que el header esté en el DOM antes de observarlo
  const checkHeader = setInterval(() => {
    const header = document.querySelector(".noahs-theme--header");
 
    if (header) {
      clearInterval(checkHeader); // Detener el intervalo

      // Ajustar la altura y posición inicialmente
      updateHeaderHeight();

      // Observar cambios en el tamaño del header
      const resizeObserver = new ResizeObserver(updateHeaderHeight);
      resizeObserver.observe(header);

      // También actualizar en caso de cambios en el tamaño de la ventana
      window.addEventListener("resize", updateHeaderHeight);
    }
  }, 100);
});
